package com.unis.base.server.domain;


import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.unis.base.common.vo.TyHtxxVO;
import com.unis.base.server.dao.TyHtxxDao;
import com.unis.base.server.entity.TyHtxxDO;
import com.unis.common.utils.LsBeanUtils;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyHtxxDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class TyHtxxDomain extends BaseDomain {

	@Autowired
	private TyHtxxDao tyHtxxMapper;

	/**
	 *
	 * @param TyHtxxVO
	 * @return
	 */
	public List<TyHtxxVO> getTyHtxxList(TyHtxxVO tyHtxxVO) {
		TyHtxxDO dCfxxsjyDO = new TyHtxxDO();
		//进行传递参数copy
		LsBeanUtils.copyAllProperties(tyHtxxVO,dCfxxsjyDO);
		List<TyHtxxVO> TyHtxxVOList = new ArrayList<TyHtxxVO>();

		for (TyHtxxDO TyHtxxDO : tyHtxxMapper.selectAlls(dCfxxsjyDO)) {
			TyHtxxVO htxxVO = new TyHtxxVO();
			LsBeanUtils.copyAllProperties(TyHtxxDO,htxxVO);
			TyHtxxVOList.add(htxxVO);
		}
		return TyHtxxVOList;
	}

	/**
	 *
	 * @param TyHtxxVO
	 * @return
	 */
	public int insert(TyHtxxVO tyHtxxVO) {
		//进行传递参数copy
		TyHtxxDO tyHtxxDO = new TyHtxxDO();
		LsBeanUtils.copyAllProperties(tyHtxxVO,tyHtxxDO);
		return tyHtxxMapper.insert(tyHtxxDO);
	}

	/**
	 *
	 * @param htxxid
	 * @return
	 */
	public TyHtxxVO getTyHtxxById(String htxxid) {
		TyHtxxVO tyHtxxVO = new TyHtxxVO();
		LsBeanUtils.copyAllProperties(tyHtxxMapper.selectByKey(htxxid), tyHtxxVO);
		return tyHtxxVO;
	}

	/**
	 *
	 * @param TyHtxxVO
	 * @return
	 */
	public int update(TyHtxxVO tyHtxxVO) {
		//进行传递参数copy
		TyHtxxDO tyHtxxDO = new TyHtxxDO();
		LsBeanUtils.copyAllProperties(tyHtxxVO,tyHtxxDO);
		return tyHtxxMapper.updateByPrimaryKey(tyHtxxDO);
	}



}
